#
# Git
#
{ user, ... }:

{
  programs = {
    git = {
      enable = true;
      userName = "Kabbone";
      userEmail = "tobias@opel-online.de";
      lfs.enable = true;
      signing = {
        key = "/home/${user}/.ssh/id_ed25519_sk_rk_red";
        signByDefault = true;
      };
      extraConfig = {
        gpg = { format = "ssh"; };
        credential = { helper = "cache --timeout=3600"; };
      };
      difftastic.enable = true;
    };
  };
}
